> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find by details

> Bigdata.com Knowledge Graph tracks over 7 million companies worldwide. Use this endpoint to search by name, website, ticker, or other market identifiers. Refine your results with filters such as company type, country, or sector.



## OpenAPI

````yaml /api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/companies
openapi: 3.0.3
info:
  title: Bigdata Knowledge Graph API
  version: 1.0.0
  description: >-
    Access structured data from the Knowledge Graph to find companies, people,
    places, and other entities with detailed information.
servers:
  - url: https://api.bigdata.com/
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/knowledge-graph/companies:
    post:
      tags:
        - Companies
      summary: Find by details
      description: >-
        Bigdata.com Knowledge Graph tracks over 7 million companies worldwide.
        Use this endpoint to search by name, website, ticker, or other market
        identifiers. Refine your results with filters such as company type,
        country, or sector.
      operationId: findCompanies
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FindCompaniesRequest'
      responses:
        '200':
          description: Successful response with company data
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Company'
components:
  schemas:
    FindCompaniesRequest:
      type: object
      properties:
        query:
          type: string
          description: >-
            It accepts a partial or complete company name, webpage, ticker,
            ISIN, SEDOL, or CUSIP. Examples: 'Apple', 'AAPL',
            'https://www.apple.com/', 'CA03785Y1007'
          example: Apple
        types:
          type: array
          items:
            type: string
            enum:
              - PUBLIC
              - PRIVATE
          description: The company type can be PUBLIC or PRIVATE
          example:
            - PUBLIC
        countries:
          type: array
          items:
            type: string
            pattern: ^[A-Z]{2}$
          description: >-
            It accepts country codes using the ISO 3166-1 A-2, for instance "US"
            for the United States
          example:
            - US
            - FR
        sectors:
          type: array
          items:
            type: string
          description: >-
            It accepts a list of sectors that can be retrieved with the endpoint
            "/knowledge-graph/companies/sectors"
          example:
            - Technology
            - Financials
            - Industrials
      description: >-
        Request body for finding companies. Each field is optional. However, you
        must provide at least one field to perform a valid search.
      example:
        query: Apple
        types:
          - PUBLIC
        countries:
          - US
          - FR
        sectors:
          - Technology
          - Financials
          - Industrials
    Company:
      type: object
      properties:
        id:
          type: string
          description: Unique company identifier in the Knowledge Graph
          example: D8442A
        name:
          type: string
          description: Company name
          example: Apple Inc.
        description:
          type: string
          description: Company description and business overview
          example: >-
            Apple Inc. (formerly Apple Computer Inc.), incorporated on January
            03, 1977, designs, manufactures, and markets mobile communication
            and media devices, personal computing products, and portable digital
            music players worldwide.
        type:
          type: string
          enum:
            - PUBLIC
            - PRIVATE
          description: Company type classification
          example: PUBLIC
        country:
          type: string
          pattern: ^[A-Z]{2}$
          description: Country code (ISO 3166-1 alpha-2)
          example: US
        sector:
          type: string
          description: Business sector
          example: Technology
        industry_group:
          type: string
          description: Industry group classification
          example: Computer Hardware
        industry:
          type: string
          description: Specific industry classification
          example: Computer Hardware
        favicon:
          type: string
          format: uri
          description: Company favicon URL
          example: http://www.apple.com/favicon.ico
        webpage:
          type: string
          format: uri
          description: Company website URL
          example: http://www.apple.com
        isin_values:
          type: array
          items:
            type: string
          description: International Securities Identification Numbers
          example:
            - CA03785Y1007
            - TH0150120408
            - TH0809121500
            - US0378331005
        cusip_values:
          type: array
          items:
            type: string
          description: Committee on Uniform Securities Identification Procedures numbers
          example:
            - '037833100'
            - 03785Y100
            - P0R684385
            - Y100G4352
            - Y49876132
        sedol_values:
          type: array
          items:
            type: string
          description: Stock Exchange Daily Official List numbers
          example:
            - '2046251'
            - BNC31R1
            - BPXWT99
            - BVBDDG1
        listing_values:
          type: array
          items:
            type: string
          description: Exchange listing identifiers
          example:
            - XBKK:AAPL80
            - XNAS:AAPL
        ticker:
          type: string
          description: Primary ticker symbol
          example: AAPL
      required:
        - id
        - name
        - type
        - country
      description: Company entity with detailed information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````